:mod:`lasagne.init`
===================

.. automodule:: lasagne.init

Initializers
------------

.. autosummary::

   Constant
   Normal
   Uniform
   Glorot
   GlorotNormal
   GlorotUniform
   He
   HeNormal
   HeUniform
   Orthogonal
   Sparse

Detailed description
--------------------

.. autoclass:: Initializer
   :members:

.. autoclass:: Constant
   :members:

.. autoclass:: Normal
   :members:

.. autoclass:: Uniform
   :members:

.. autoclass:: Glorot
   :members:

.. autoclass:: GlorotNormal
   :members:

.. autoclass:: GlorotUniform
   :members:

.. autoclass:: He
   :members:

.. autoclass:: HeNormal
   :members:

.. autoclass:: HeUniform
   :members:

.. autoclass:: Orthogonal
   :members:

.. autoclass:: Sparse
   :members:
